#include "printlib.h"

int main(){
    int x;
    bool a;
    
    while (a) {
        
    }
    while (false) {
        
    }
    while (x) {
        
    }
    return 0;
}

// EXITCODE 2
// EXPECTED
// In function main: Line 13 col 4: invalid type for while condition: integer
